Show / Hide Table of Contents

# Struct RetainerManager.RetainerList.Retainer

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Retainer

### Fields

| Improve this Doc View Source

#### Available

##### Declaration

    public bool Available

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public byte ClassJob

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Gil

##### Declaration

    public uint Gil

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ItemCount

##### Declaration

    public byte ItemCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Level

##### Declaration

    public byte Level

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MarkerItemCount

##### Declaration

    public byte MarkerItemCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MarketExpire

##### Declaration

    public uint MarketExpire

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### RetainerID

##### Declaration

    public ulong RetainerID

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Town

##### Declaration

    public RetainerManager.RetainerList.RetainerTown Town

##### Field Value

Type | Description
--- | ---
RetainerManager.RetainerList.RetainerTown |

| Improve this Doc View Source

#### VentureComplete

##### Declaration

    public uint VentureComplete

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### VentureID

##### Declaration

    public uint VentureID

##### Field Value

Type | Description
--- | ---
System.UInt32 |